Bug 846280 - [RFE] Show unattached storage domains in Storage tab when view is limited to specific datacenter
[RFE] Show unattached storage domains in Storage tab when view is limited to ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.5.0
Assigned To: Nir Soffer
Haim
storage
: FutureFeature, Improvement, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 06:43 EDT by David Jaša
Modified: 2016-02-10 15:23 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 05:03:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-08-07 06:43:49 EDT
Description of problem:
Show unattached storage domains in Storage tab when view is limited to specific datacenter.
Based on my experience with a tree view, it's main use case is to prevent any wrongdoing on other DataCenters when doing something potentially destructive in one of them. Some of the workflows require attaching/detaching Export domains however and then user has to make view more general including other DC's.

Version-Release number of selected component (if applicable):
rhevm-webadmin-portal-3.1.0-10.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1. have and unassigned data or export SD in the setup
2. in webadmin, limit the view to just one data center
3.
  
Actual results:
unassigned domains are hidden from view

Expected results:
unassigned domains should be visible, too

Additional info:
If this is implemented, it would be neat to limit available DCs in Attach dialog of an unassigned SDs to the selected DC only.
Comment 1 Ayal Baron 2012-08-07 16:42:03 EDT
(In reply to comment #0)
> Description of problem:
> Show unattached storage domains in Storage tab when view is limited to
> specific datacenter.
> Based on my experience with a tree view, it's main use case is to prevent
> any wrongdoing on other DataCenters when doing something potentially
> destructive in one of them. Some of the workflows require
> attaching/detaching Export domains however and then user has to make view
> more general including other DC's.
> 
> Version-Release number of selected component (if applicable):
> rhevm-webadmin-portal-3.1.0-10.el6ev.noarch
> 
> How reproducible:
> always
> 
> Steps to Reproduce:
> 1. have and unassigned data or export SD in the setup
> 2. in webadmin, limit the view to just one data center
> 3.
>   
> Actual results:
> unassigned domains are hidden from view
> 
> Expected results:
> unassigned domains should be visible, too
> 
> Additional info:
> If this is implemented, it would be neat to limit available DCs in Attach
> dialog of an unassigned SDs to the selected DC only.

This seems quite unintuitive to me.
When limiting a view to a specific object, I do not expect to see unrelated objects there.
Specifically, if I want to attach unattached domains, I would limit view to no-dc to see only those domains and attach them?
Comment 2 David Jaša 2012-08-08 05:02:40 EDT
(In reply to comment #1)
> Specifically, if I want to attach unattached domains, I would limit view to
> no-dc to see only those domains and attach them?

Well that way, also SDs that belong to other DCs are also displayed, something I wanted to avoid.
Comment 3 Itamar Heim 2013-02-10 02:02:29 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 4 Itamar Heim 2013-12-01 04:13:40 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 5 Nir Soffer 2013-12-11 05:03:06 EST
Suggested behavior does not make sense and unwanted. When limiting view to one object, unrelated object should not be displayed.

Note You need to log in before you can comment on or make changes to this bug.